## tuning-library 1.1.0%2Bds

=== debian/control ===
Source: tuning-library
Section: libdevel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 catch2 (>= 3.0.0),
 cmake,
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://github.com/surge-synthesizer/tuning-library
Vcs-Browser: https://salsa.debian.org/multimedia-team/tuning-library
Vcs-Git: https://salsa.debian.org/multimedia-team/tuning-library.git

Package: libtuning-library-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: Surge Synth Team Tuning Library
 Standalone C++ header only library for microtuning.
