## tuning-library 1.1.0+ds

=== debian/changelog ===
tuning-library (1.1.0+ds-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * Build with -ffloat-store

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Nov 2023 04:16:11 -0500

tuning-library (1.1.0+ds-3) unstable; urgency=medium

  * Enable catch2 tests.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Nov 2023 10:41:47 -0500

tuning-library (1.1.0+ds-2) unstable; urgency=medium

  * add-cstring.patch is already forwarded.
  * Adjust Vcs-* tags after repository move on salsa.debian.org.
  * Drop catch2 tests: incompatible with catch2 (>= 3.4.0).

 -- Andrius Merkys <merkys@debian.org>  Tue, 24 Oct 2023 02:42:09 -0400

tuning-library (1.1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1052636)

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Sep 2023 10:33:33 -0400
