=== debian/rules ===
#!/usr/bin/make -f

# avoid excess precision on i386 and m68k
export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store

%:
	dh $@

override_dh_auto_test:
	$(MAKE) -C obj-* run-all-tests
