=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,repack,repacksuffix=+ds,dversionmangle=auto" \
 https://github.com/surge-synthesizer/tuning-library/tags \
 (?:.*?/)?release_@ANY_VERSION@@ARCHIVE_EXT@
